Additional operations
Resolve resource access decisions
Resolve resource access decisions
curl --request POST \
--url https://api.atlan.com/registry/v1/resource-access-decisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slots": [
{
"resource": {
"owner_id": "<string>",
"resource_id": "<string>",
"version_id": "<string>"
}
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slots: [
{
resource: {owner_id: '<string>', resource_id: '<string>', version_id: '<string>'}
}
]
})
};
fetch('https://api.atlan.com/registry/v1/resource-access-decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/resource-access-decisions"
payload = { "slots": [{ "resource": {
"owner_id": "<string>",
"resource_id": "<string>",
"version_id": "<string>"
} }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"decisions": [
{
"action": "install",
"effective_generation": "<string>",
"evaluated_at": "2023-11-07T05:31:56Z",
"is_commercially_eligible": true,
"is_operationally_ready": true,
"next_change_at": "2023-11-07T05:31:56Z",
"reason": "entitled",
"resource": {
"family": "app",
"owner_id": "<string>",
"resource_id": "<string>",
"version_id": "<string>"
},
"status": "allowed"
}
],
"schema_version": 1
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Body
application/json
Required array length:
1 - 200 elementsShow child attributes
Show child attributes
⌘I
Resolve resource access decisions
curl --request POST \
--url https://api.atlan.com/registry/v1/resource-access-decisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slots": [
{
"resource": {
"owner_id": "<string>",
"resource_id": "<string>",
"version_id": "<string>"
}
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slots: [
{
resource: {owner_id: '<string>', resource_id: '<string>', version_id: '<string>'}
}
]
})
};
fetch('https://api.atlan.com/registry/v1/resource-access-decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/registry/v1/resource-access-decisions"
payload = { "slots": [{ "resource": {
"owner_id": "<string>",
"resource_id": "<string>",
"version_id": "<string>"
} }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"decisions": [
{
"action": "install",
"effective_generation": "<string>",
"evaluated_at": "2023-11-07T05:31:56Z",
"is_commercially_eligible": true,
"is_operationally_ready": true,
"next_change_at": "2023-11-07T05:31:56Z",
"reason": "entitled",
"resource": {
"family": "app",
"owner_id": "<string>",
"resource_id": "<string>",
"version_id": "<string>"
},
"status": "allowed"
}
],
"schema_version": 1
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}